pfSense Support Subscription

Author Topic: HEADS UP: Updated em/igb/ixgbe back in snapshots  (Read 7685 times)

0 Members and 1 Guest are viewing this topic.

Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21404
  • Karma: +1437/-26
    • View Profile
HEADS UP: Updated em/igb/ixgbe back in snapshots
« on: February 17, 2014, 01:16:06 pm »
Due to multiple regressions in the behavior of previously-stable igb and ixgbe interfaces, the updated drivers are being backed out again. We have had reports from customers of their igb interfaces failing or having extremely poor performance, ix interfaces failing to pass traffic for periods of time, and panics from both. The drivers on 2.1-RELEASE worked for these cases (though with ixgbe there was an mbuf leak), so we will be moving back to those so there will at least not be a regression from 2.1-RELEASE to 2.1.1-RELEASE in that area. The change has not yet happened, but will soon.

As much as we'd like to include the updated drivers, they just are not working well and they are holding up 2.1.1. We'd rather get the release out, with all of its beneficial fixes, and work on 2.2 where the drivers are much more stable and functional without all the extra effort. Though we hoped for improvement, apparently a fix that works for everyone just isn't viable on a FreeBSD 8.3 base. FreeBSD 10 is the answer and the way forward, so that's where the focus is moving.

If you need the updated drivers for your hardware and you are not experiencing any other problems/regressions, you may want to save a copy of a current snapshot that works for you so that you can use it until 2.2 arrives.


Update: The new drivers have been fixed and are once again included in current snapshots. If you have issues, please report them in a separate thread with as much detail as possible.
« Last Edit: March 17, 2014, 07:57:01 am by jimp »
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!

Offline nesense

  • Jr. Member
  • **
  • Posts: 79
  • Karma: +0/-0
  • n e sense?
    • View Profile
Re: HEADS UP: em/igb/ixgbe revert coming coon
« Reply #1 on: February 18, 2014, 12:08:18 am »
Does this include wireless drivers too such as Atheros AR9280 for example?
« Last Edit: February 18, 2014, 12:14:18 am by nesense »

Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21404
  • Karma: +1437/-26
    • View Profile
Re: HEADS UP: em/igb/ixgbe revert coming coon
« Reply #2 on: February 18, 2014, 06:41:49 am »
This only affects em, igb, and ixgbe
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!

Offline Jason Litka

  • Hero Member
  • *****
  • Posts: 1294
  • Karma: +53/-1
    • View Profile
    • Utter Ramblings
Re: HEADS UP: em/igb/ixgbe revert coming coon
« Reply #3 on: February 18, 2014, 12:08:24 pm »
Grrr...  I just ordered a Rangeley board an hour ago.  Time to go cancel.  :)

Agreed though, these new drivers are seriously flaky for me.
I can break anything.

Offline nesense

  • Jr. Member
  • **
  • Posts: 79
  • Karma: +0/-0
  • n e sense?
    • View Profile
Re: HEADS UP: em/igb/ixgbe revert coming coon
« Reply #4 on: February 18, 2014, 02:05:02 pm »
This only affects em, igb, and ixgbe

I was hoping this update would include Atheros drivers that work again, that chipset used to work with 2.0.3 but it's broken on 2.1, & I can't find any 2.0.3 images any longer on mirrors.

Thanks.

Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21404
  • Karma: +1437/-26
    • View Profile
Re: HEADS UP: em/igb/ixgbe revert coming coon
« Reply #5 on: February 18, 2014, 02:17:57 pm »
The atheros drivers work fine for me, but they'll be much better on 2.2 for everyone.

2.0.3 downloads can be found here: http://files.pfsense.org/mirror/downloads/old/
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!

Offline darioj

  • Newbie
  • *
  • Posts: 6
  • Karma: +0/-0
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #6 on: February 22, 2014, 06:21:50 pm »
Do you plan to list the cases these nics are considered stable or should we avoid them untill 2.2?

Thanks for trying!

Cheers
Dario

Offline jason0

  • Jr. Member
  • **
  • Posts: 89
  • Karma: +1/-0
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #7 on: February 24, 2014, 10:10:20 am »
Hello,

I have been having difficulties with the em drivers and bridging in 2.1-RELEASE.  Does your message mean you are reverting to THESE drivers, or the ones before 2.1-RELEASE?

Thanks for your time!

--jason

Offline stephenw10

  • Administrator
  • Hero Member
  • *****
  • Posts: 11914
  • Karma: +468/-15
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #8 on: February 24, 2014, 10:32:38 am »
There were issues with bridging some types of interface, including em, that have been fixed in 2.1.1. These were independent of the driver version. You should try a 2.1.1 snapshot.
https://forum.pfsense.org/index.php/topic,66908.msg386279.html#msg386279

Steve
« Last Edit: February 24, 2014, 10:37:10 am by stephenw10 »

Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21404
  • Karma: +1437/-26
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #9 on: February 24, 2014, 10:35:54 am »
The em/igb/ixgbe drivers on 2.1.1 will be the same as those on 2.1-RELEASE
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!

Offline jason0

  • Jr. Member
  • **
  • Posts: 89
  • Karma: +1/-0
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #10 on: February 24, 2014, 10:54:40 am »
I will try a snapshot very soon.

Thanks for your reply!

--jason

Offline dostrow

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #11 on: March 03, 2014, 12:56:26 am »
A quick question looking for advice here. We had just purchased $25K worth of gear all with 4 ixgbe dual 10 gig card in them with the intention of using pfsense as our primary firewall going forward, this way was way more economical than going the Cisco/Juniper/Whathaveyou route given our need for 10 gig interfaces. All was well and good until we tried to get things working when the gear arrived last week. We were immediately hit by bug 3250 with 2.1-REL. Hearing that the drivers were more stable in 2.0.x we tried installing 2.0.3 only to find out that there was not adequate support for our RAID controllers and thus could not install. With previous 2.1.1 snapshots we got further but still suffered from the mbuf leak that eventually caused the systems to panic and crash. Now that the decision has been made to revert to the 2.1-REL versions of the drivers (which I agree is the right call to have made), we are basically stuck needing 2.2 (for which I can find no builds publicly available) for these boxes which were slated to go into production within a week. If you were in my shoes, had hardware which was already purchased and cannot be returned and a deadline that really can't move...what would you do?

Offline Supermule

  • Hero Member
  • *****
  • Posts: 2530
  • Karma: +77/-102
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #12 on: March 03, 2014, 01:38:19 am »
Run it en ESXi on your new hardware. Then it works fine.
Kind regards Brian


Offline dostrow

  • Newbie
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #13 on: March 03, 2014, 02:15:40 am »
Definitely something to try, though somehow running my edge devices under a hypervisor makes me a little queasy, not to mention setting things up with BGP and CARP over virtual interfaces all running at 10 gig adds some odd complexity but if it is my only option so be it.

Offline stephenw10

  • Administrator
  • Hero Member
  • *****
  • Posts: 11914
  • Karma: +468/-15
    • View Profile
Re: HEADS UP: em/igb/ixgbe reverted to older drivers
« Reply #14 on: March 03, 2014, 05:56:25 am »
Do you have a support subscription? If so I'd go straight to ESF who will have a much better handle on what can/can't be achieved by using whichever driver version might be available.
Do they run OK in 2.0.3? You could maybe reconfigure the disk controllers into some mode that is supported or there maybe backported drivers for 8.1.

Steve